Le forum des utilisateurs de Siril

Nouvelles:

  • L'équipe de développement de Siril est heureuse de vous accueillir dans ce forum.

    La version 0.9.11-alpha1 de Siril est en test !!!
  • We are delighted to welcome you to this forum

    Siril version 0.9.11-alpha1 is in test phase !!!

Nouvelles

We are delighted to welcome you to this forum

Siril version 0.9.11-alpha1 is in test phase !!!

retour expérience : installation et premier lancement siril 0.9.8-006

Phil35 · 64

Phil35

  • Mercurien
  • *
    • Messages: 2
    • Karma: +0/-0
Bonjour,
Je découvre Siril sur Linux, et voici un retour d'expérience si cela peut être utile.
- ubuntu 14.04 (oui c'est ancien, et cela va changer dans les mois qui viennent)
- Installation de siril 0.9.8-006
- lancement de siril .. ne démarre pas :
 message "Failed to open file '/usr/local/share/siril/siril3.glade': No such file or directory. Looking into another directory..."
 solution : cd /usr/local/share ;  sudo  ln -s  /usr/share/siril/ ./siril
-  message suivant :
 message "siril3.glade was not found or contains errors, cannot render GUI. Exiting."
- solution téléchargement du fichier mis à disposition sur l'ancien site "bug report"
  813924 siril3.glade.ori.HS
  751272  siril3.glade.OK
-> lancement Ok
Je peux commencer à explorer
Phil




lock042

  • Administrator
  • Terrien
  • *****
    • Messages: 234
    • Karma: +3/-0
Si je peux me permettre, avant de chercher a bidouiller il vaudrait mieux installer siril via les dépots PPA. Comme ca tu profites de la dernière version. On en est à la 0.9.10.
De plus oui, la version Ubuntu 14 est bien trop vieille maintenant.



Phil35

  • Mercurien
  • *
    • Messages: 2
    • Karma: +0/-0
Bonjour,

Le verbe "bidouiller" me semble inapproprié ici sachant que les commandes suivantes avaient été passées au préalable, comme indiqué dans le site :
sudo add-apt-repository ppa:lock042/siril
sudo apt-get update
sudo apt-get install siril

Je comprends que la version  0.9.10. n'est pas disponible pour ubuntu 14.04  qui est certe ancienne : 5 ans mais encore supporté jusqu'à fin mars 2019 car c'est une version dite LTS (Long Terme Support)

Phil35



lock042

  • Administrator
  • Terrien
  • *****
    • Messages: 234
    • Karma: +3/-0
Non. bidouiller c'est récupérer un autre fichier glade et le mettre à la place. C'est une très mauvaise idée car il y aura surement des incompatibilités de partout.
De plus, Ubuntu, bien qu'étant une LTS, est bien trop vieille et ne permet pas les implémentations de nouvelles fonctionnalités GTK nécessaires à l'évolution de Siril.
C'est donc pour cela que nous avons arrêté le support de cette version.